#
# spec file for package acbuild
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# Make sure that the binary is not getting stripped.
%{go_nostrip}

Name:           acbuild
Version:        0.0.0+git20160706.4bf3873
Release:        lp150.1.7
License:        Apache-2.0
Summary:        A build tool for ACIs
Url:            https://github.com/appc/acbuild
Group:          System/Management
Source:         %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  golang-packaging
BuildRequires:  xz

Requires:       gpg2
%{go_provides}

%description
A command line utility to build and modify App Container Images (ACIs), the
container image format defined in the App Container (appc) spec.

%prep
%setup -q -n %{name}-%{version}

%build
%goprep github.com/appc/acbuild
%gobuild acbuild

%install
%goinstall
rm -rf %{buildroot}/%{_libdir}/go/contrib

%files
%defattr(-,root,root,-)
%doc CHANGELOG.md README.md LICENSE MAINTAINERS
%{_bindir}/%{name}

%changelog
* Thu Jul  7 2016 tboerger@suse.com
- Switched to master for vendoring deps
- Dropped src package definition
- Added go_nostrip macro
- Use the golang-packaging macros on most places
* Thu Jul  7 2016 tboerger@suse.com
- Update to version 0.0.0+git20160706.4bf3873:
  + readme: requires Go to build from source
  + gen-man-pages: command added to output man pages for acbuild
  + gen-man-pages: godeps vendoring, bumped cobra and pflags, added cobra/docs
  + godeps: appc/spec v0.7.4 -> v0.8.1, coreos/rkt v1.2.0 -> v1.7.0
  + release: v0.3.1
  + docs: articulate the necessity of `--` in run and set-exec
  + lib/begin: added support for beginning from remote docker images
  + godeps: added docker2aci and dependencies
  + engine: attach stdin to the process
  + replaced godeps with glide
  + engine/systemdnspawn: create /etc/machine-id for >= 230
  + begin: when on arm, look at self's endianness to pick a label
  + Add documentation on set-working-directory subcommand.
* Wed Jun  8 2016 tboerger@suse.com
- Initial packaging
